Subject: Re: bug#21340: 24.5; trash-directory uses FreeDesktop location on OSX

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Aug 2015 20:32:05 +0300

> From: Harvey Chapman <[email-masked]>
> Date: Mon, 24 Aug 2015 12:55:19 -0400
> 
> I set "(setq delete-by-moving-to-trash t)", and emacs moved
> deleted files to ~/.local/share/Trash, the FreeDesktop location.

As expected.

> The files should have been moved to ~/.Trash, the standard OSX
> location. I was deleting files in my home directory using dired.
> 
> Work around: (setq trash-directory "~/.Trash")

You need to customize that variable to point to the directory where
you want your trash.  The doc string says:

    Directory for `move-file-to-trash' to move files and directories to.
  This directory is only used when the function `system-move-file-to-trash'
  is not defined.
  Relative paths are interpreted relative to `default-directory'.
  If the value is nil, Emacs uses a freedesktop.org-style trashcan.
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

The default is nil, so what you see is Emacs functioning as designed.